Updates the specified passkey for the authenticated user.
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/passkeys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"alias": "An example name"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"credentialId": "An example name",
"createdAt": "2023-11-07T05:31:56Z",
"alias": "<string>",
"userAgent": "<string>",
"origin": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"storage": {
"name": "<string>",
"icon": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
update user passkey parameters
successful operation - passkey updated
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
ISO 8601 timestamp of when the passkey was created
User-assigned display name for the passkey
User agent string of the browser used to register the passkey
Origin domain where the passkey was registered
ISO 8601 timestamp of when the passkey was last updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/passkeys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"alias": "An example name"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"credentialId": "An example name",
"createdAt": "2023-11-07T05:31:56Z",
"alias": "<string>",
"userAgent": "<string>",
"origin": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"storage": {
"name": "<string>",
"icon": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}